# $Revision: 1.42 $, $Date: 2011/08/31 18:30:35 $
# TODO:
# - init scripts
# - configuration files
# - pam configs
Summary:	Secure Remote Password protocol
Summary(pl.UTF-8):	Protokół SRP (bezpieczny system autoryzacji)
Name:		srp
Version:	2.1.2
Release:	4
License:	SRP Open Source
Group:		Applications/Networking
Source0:	http://srp.stanford.edu/source/%{name}-%{version}.tar.gz
# Source0-md5:	39d150d2fcfcea1646c405172b748119
Patch0:		%{name}-shared.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-cflags.patch
Patch3:		%{name}-getline.patch
URL:		http://srp.stanford.edu/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pam-devel
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pam >= 0.77.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SRP stands for the Secure Remote Password protocol, and it represents
a new mechanism for performing password-based authentication and key
exchange over potentially insecure networks. SRP offers both security
and convenience improvements over authentication techniques currently
in use.

%description -l pl.UTF-8
SRP oznacza protokół Secure Remote Password i reprezentuje nowy
mechanizm autentyfikacji bazującej na hasłach oraz wymianę kluczy
przez potencjalnie niebezpieczne sieci. SRP oferuje zarówno
bezpieczeństwo i ulepszenia w stosunku do innych aktualnie dostępnych
technik autentyfikacji.

%package libs
Summary:	Shared SRP libraries
Summary(pl.UTF-8):	Współdzielone biblioteki SRP
Group:		Libraries

%description libs
Shared SRP libraries.

%description libs -l pl.UTF-8
Współdzielone biblioteki SRP.

%package devel
Summary:	Headers files for SRP libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek SRP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	openssl-devel

%description devel
Headers files for SRP libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek SRP.

%package static
Summary:	Static SRP libraries
Summary(pl.UTF-8):	Statyczne biblioteki SRP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SRP libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SRP.

%package telnet
Summary:	Telnet client with SRP and IPv6 support
Summary(pl.UTF-8):	Klient protokołu telnet ze wsparciem dla SRP i IPv6
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description telnet
Telnet client with Secure Remote Password protocol and IPv6 support.

%description telnet -l pl.UTF-8
Klient protokołu telnet ze wsparciem dla protokołu Secure Remote
Password i IPv6.

%package telnetd
Summary:	Telnet server with SRP and IPv6 support
Summary(pl.UTF-8):	Serwer protokołu telnet ze wsparciem dla SRP i IPv6
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description telnetd
Telnet server with Secure Remote Password protocol and IPv6 support.

%description telnetd -l pl.UTF-8
Serwer protokołu telnet ze wsparciem dla protokołu Secure Remote
Password i IPv6.

%package ftp
Summary:	FTP client with SRP support
Summary(pl.UTF-8):	Klient FTP ze wsparciem dla SRP
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description ftp
FTP client with Secure Remote Password protocol support.

%description ftp -l pl.UTF-8
Klient FTP ze wsparciem dla protokołu Secure Remote Password.

%package ftpd
Summary:	FTP server with SRP support
Summary(pl.UTF-8):	Serwer FTP ze wsparciem dla SRP
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description ftpd
FTP server with Secure Remote Password protocol support.

%description ftpd -l pl.UTF-8
Serwer FTP ze wsparciem dla protokołu Secure Remote Password.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd libsrp
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../libkrypto
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../telnet
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../ftp
# workaround: install-sh missing here, AUX_DIR not defined explicitly
touch install-sh
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../base
# see above
touch install-sh
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	LIBTERM="-ltinfo" \
	MAILSPOOL=/var/mail \
	MAILFILE=Mail \
	UTMPDIR=/var/run \
	WTMPDIR=/var/log \
	FAILLOGDIR=/var/log \
	LASTLOGDIR=/var/log \
	--enable-shadowgrp \
	--with-cast \
	--with-engine \
	--with-libcrack \
	--with-openssl \
	--with-pam \
	--with-srp \
	--with-zlib

	# --with-inet6  - requires non-existing "support.h" in telnet/telnet/commands.c
	# ??? [needs check] PAM support in passwd.srp is broken (it probably
	# doesn't use pass specified by user.
	# --with-spx	- SPX requires kerberos ;-(
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{pam.d,rc.d/init.d,sysconfig},/bin,/sbin}

#install %{SOURCE1}			$RPM_BUILD_ROOT/etc/pam.d/passwd.srp
touch $RPM_BUILD_ROOT%{_sysconfdir}/tpasswd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SECUREDIR=/%{_lib}/security \
	FAKEROOT=$RPM_BUILD_ROOT \
	suidbins= \
	suidubins=

install base/src/su $RPM_BUILD_ROOT/bin/su
install base/src/passwd $RPM_BUILD_ROOT%{_bindir}/passwd

mv -f $RPM_BUILD_ROOT/bin/su		$RPM_BUILD_ROOT/bin/su.srp
mv -f $RPM_BUILD_ROOT%{_bindir}/login	$RPM_BUILD_ROOT/bin/login.srp
mv -f $RPM_BUILD_ROOT%{_bindir}/passwd	$RPM_BUILD_ROOT%{_bindir}/passwd.srp
mv -f $RPM_BUILD_ROOT%{_bindir}/tconf	$RPM_BUILD_ROOT%{_sbindir}/tconf

mv -f $RPM_BUILD_ROOT%{_bindir}/ftp	$RPM_BUILD_ROOT%{_bindir}/ftp.srp
mv -f $RPM_BUILD_ROOT%{_bindir}/telnet	$RPM_BUILD_ROOT%{_bindir}/telnet.srp

mv -f $RPM_BUILD_ROOT%{_sbindir}/ftpd	$RPM_BUILD_ROOT%{_sbindir}/ftpd.srp
mv -f $RPM_BUILD_ROOT%{_sbindir}/telnetd $RPM_BUILD_ROOT%{_sbindir}/telnetd.srp

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/* inst/INSTALL*
%attr(755,root,root) /bin/login.srp
%attr(4755,root,root) /bin/su.srp
%attr(755,root,root) %{_sbindir}/tconf
%attr(4755,root,root) %{_bindir}/passwd.srp
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tpasswd
#%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/*
# Pam modules are required by main srp package so we don't split them
%attr(4755,root,root) /sbin/eps_chkpwd
%attr(755,root,root) /%{_lib}/security/pam_eps_*.so

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkrypto.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkrypto.so.0
%attr(755,root,root) %{_libdir}/libsrp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsrp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkrypto.so
%attr(755,root,root) %{_libdir}/libsrp.so
%{_libdir}/libkrypto.la
%{_libdir}/libsrp.la
%{_includedir}/cstr.h
%{_includedir}/krypto.h
%{_includedir}/srp*.h
%{_includedir}/t_*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libkrypto.a
%{_libdir}/libsrp.a

%files telnet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/telnet.srp

%files telnetd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/telnetd.srp

%files ftp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ftp.srp

%files ftpd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ftpd.srp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: srp.spec,v $
Revision 1.42  2011/08/31 18:30:35  arekm
- release 4

Revision 1.41  2010/04/10 17:35:22  arekm
- release 3

Revision 1.40  2009/08/28 18:56:20  arekm
- rel 2; build fixed

Revision 1.39  2008/11/01 16:34:39  qboosh
- more sane workarounds
- ghost soname symlinks

Revision 1.38  2008/11/01 14:28:35  arekm
- hack

Revision 1.37  2008-04-28 09:12:44  arekm
- rel 1

Revision 1.36  2007/04/07 12:56:15  qboosh
- up to 2.1.2 (fixes CVE-2007-0956)

Revision 1.35  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.33  2006/08/09 06:50:10  arekm
- rel 0.2

Revision 1.32  2006/02/27 00:13:19  sparky
- added cflags patch

Revision 1.31  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.30  2005/04/26 20:11:57  qboosh
- updated to 2.1.1 (fixes CAN-2005-0468 CAN-2005-0469 in telnet)

Revision 1.29  2005/01/08 23:40:37  qboosh
- added paths patch, pass some paths to configure

Revision 1.28  2005/01/08 23:08:26  qboosh
- BR: ncurses-devel (for telnet)

Revision 1.27  2005/01/08 21:43:20  qboosh
- added shared patch, build shared libsrp and libkrypto

Revision 1.26  2004/11/26 13:55:31  areq
- BR openssl-devel

Revision 1.25  2004/11/24 23:57:33  qboosh
- updated to 2.1.0, commented not existent files - now builds at least

Revision 1.24  2004/11/23 15:20:21  qboosh
- attr format unification

Revision 1.23  2004/10/31 16:25:47  paladine
- spaces->tabs
- formatting

Revision 1.22  2004/07/29 20:47:34  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.21  2003/11/09 01:39:26  qboosh
- updated Source0 URL, cleanups

Revision 1.20  2003/09/26 14:25:33  baggins
- release 1.1

Revision 1.19  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.18  2003/08/27 00:16:35  gotar
- fixed changelog trailer

Revision 1.17  2003/06/20 10:46:33  ankry
- rel. 0.1: missing Source1

Revision 1.16  2003/06/06 12:41:41  qboosh
- updated contact addresses

Revision 1.15  2003/05/28 13:02:03  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:27:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.12  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/15 03:01:59  blues
- URL updated

Revision 1.7  2001/10/07 19:00:05  marcus
- updated to 1.7.4, NFY

Revision 1.6  2001/09/26 13:22:01  qboosh
- adapterized, BuildRequires: autoconf, automake, libtool

Revision 1.5  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/10 17:10:09  baggins
- final spelling fixes

Revision 1.2  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  2000/02/29 11:09:50  misiek
- new spec
